- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_matrix_major_storage: Build matrix
GTX Extensions (Experimental)

## Functions
template<typename T >
detail::tmat2x2< T > | colMajor2 (detail::tvec2< T > const &v1, detail::tvec2< T > const &v2)
template<typename T >
detail::tmat2x2< T > | colMajor2 (detail::tmat2x2< T > const &m)
template<typename T >
detail::tmat3x3< T > | colMajor3 (detail::tvec3< T > const &v1, detail::tvec3< T > const &v2, detail::tvec3< T > const &v3)
template<typename T >
detail::tmat3x3< T > | colMajor3 (detail::tmat3x3< T > const &m)
template<typename T >
detail::tmat4x4< T > | colMajor4 (detail::tvec4< T > const &v1, detail::tvec4< T > const &v2, detail::tvec4< T > const &v3, detail::tvec4< T > const &v4)
template<typename T >
detail::tmat4x4< T > | colMajor4 (detail::tmat4x4< T > const &m)
template<typename T >
detail::tmat2x2< T > | rowMajor2 (detail::tvec2< T > const &v1, detail::tvec2< T > const &v2)
template<typename T >
detail::tmat2x2< T > | rowMajor2 (detail::tmat2x2< T > const &m)
template<typename T >
detail::tmat3x3< T > | rowMajor3 (detail::tvec3< T > const &v1, detail::tvec3< T > const &v2, detail::tvec3< T > const &v3)
template<typename T >
detail::tmat3x3< T > | rowMajor3 (detail::tmat3x3< T > const &m)
template<typename T >
detail::tmat4x4< T > | rowMajor4 (detail::tvec4< T > const &v1, detail::tvec4< T > const &v2, detail::tvec4< T > const &v3, detail::tvec4< T > const &v4)
template<typename T >
detail::tmat4x4< T > | rowMajor4 (detail::tmat4x4< T > const &m)

## Detailed Description

Build matrices with specific matrix order, row or column.

<glm/gtx/matrix_major_storage.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat2x2<T> glm::colMajor2 | ( | detail::tvec2< T > const & | v1,
|  | detail::tvec2< T > const & | v2
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T> glm::colMajor2 | ( | detail::tmat2x2< T > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::colMajor3 | ( | detail::tvec3< T > const & | v1,
|  | detail::tvec3< T > const & | v2,
|  | detail::tvec3< T > const & | v3
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::colMajor3 | ( | detail::tmat3x3< T > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::colMajor4 | ( | detail::tvec4< T > const & | v1,
|  | detail::tvec4< T > const & | v2,
|  | detail::tvec4< T > const & | v3,
|  | detail::tvec4< T > const & | v4
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::colMajor4 | ( | detail::tmat4x4< T > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T> glm::rowMajor2 | ( | detail::tvec2< T > const & | v1,
|  | detail::tvec2< T > const & | v2
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T> glm::rowMajor2 | ( | detail::tmat2x2< T > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::rowMajor3 | ( | detail::tvec3< T > const & | v1,
|  | detail::tvec3< T > const & | v2,
|  | detail::tvec3< T > const & | v3
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::rowMajor3 | ( | detail::tmat3x3< T > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::rowMajor4 | ( | detail::tvec4< T > const & | v1,
|  | detail::tvec4< T > const & | v2,
|  | detail::tvec4< T > const & | v3,
|  | detail::tvec4< T > const & | v4
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::rowMajor4 | ( | detail::tmat4x4< T > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.